in Code

SNYS v0.41

I noticed that SNYS was having trouble with Lion, and I think some of the later Snow Leopard security updates, and wasn’t able to spawn processes properly. I’ve updated it so that it is able to do so. (Basically this just involved re-saving the script as a new application in Applescript Editor and then copying the resources back in.) This is v0.41 which is now available for download at http://daisychase.net/software/snys/SimplenoteYojimboSync.zip as usual.

  • richard

    I had the duplication problem, so I tried SNYS v0.41. I get this error.

    Can’t make “0.4 0.41” into type number.

    Any suggestions?

  • ordinal

    This looks like your “last run version” counter has been corrupted somehow, as that’s the only thing that is parsed as a number in the script (I don’t quite see how but I will take an closer look). In the meantime, if you open a Terminal and type

    sqlite3 ~/Library/Application Support/Simplenote Yojimbo Sync/SimplenoteSync.sqlite ‘delete from vars where name=”lastrunversion”;’ it should take care of it. You will see the release notes for the current version again when you next launch SNYS.

  • richard

    This solved the problem. I’m all back in sync now. Thank you!

  • Trevor Meier

    Any thoughts or progress on adding tag syncing between Simplenote & Yojimbo?

  • martin

    I get the message:

    curl: (28) Connection time-out  Please help

    Martin

  • ordinal

    It is sort of on the list of things to do, but I don’t have any particular plans for actually doing it at the moment.

  • ordinal

    That just means it was unable to contact the Simplenote server during a sync – sometimes connection errors do happen, and you can ignore it, unless it happens every time.

  • Jez Lerman

    Using Leopard, keep getting error message unable to open database file. Also, noticed the path in the error message does not match the path to default YoJimbo library path 🙁

  • Hi, 

    Immediately after launching snys  I get an “Error: unable to open database” message.  Any suggestions? Thanks for all your time and hard work! Tom 

    OS X 10.7.2, Yojimbo 3.02

  • Charles

    I, too, am getting this error message. Any idea how to get around this? I’m using Lion 10.7.2 and Yojimbo 3.0.2. 

  • Jack

    This doesn’t work.